Build EIP-712 data the main Hyperliquid wallet must sign to transfer assets between perp DEXes, spot, users, and/or sub-accounts
curl --request POST \
--url https://perps-api.vooi.io/exchange/hyperliquid/send-asset/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"token": "<string>",
"fromSubAccount": ""
}
'import requests
url = "https://perps-api.vooi.io/exchange/hyperliquid/send-asset/prepare"
payload = {
"amount": "<string>",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"token": "<string>",
"fromSubAccount": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
destination: '0x1234567890abcdef1234567890abcdef12345678',
token: '<string>',
fromSubAccount: ''
})
};
fetch('https://perps-api.vooi.io/exchange/hyperliquid/send-asset/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fee": 123,
"pendingData": {
"action": {},
"destination": "<string>",
"nonce": 123
},
"signData": {
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
}
}Exchange / Hyperliquid
Build EIP-712 data the main Hyperliquid wallet must sign to transfer assets between perp DEXes, spot, users, and/or sub-accounts
POST
/
exchange
/
hyperliquid
/
send-asset
/
prepare
Build EIP-712 data the main Hyperliquid wallet must sign to transfer assets between perp DEXes, spot, users, and/or sub-accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Amount to send (decimal string, not in wei).
Destination wallet address.
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Destination perp DEX ("" for default USDC perp, "xyz" for trade.xyz).
Available options:
, xyz, mkts, vntl Source perp DEX ("" for default USDC perp, "xyz" for trade.xyz).
Available options:
, xyz, mkts, vntl Token identifier.
Source sub-account address ("" for the main account).
Available options:
Response
200 - application/json